<template>
  <v-alert
    v-if="message"
    :value="true"
    :type="message.type"
    class="mt-0 mb-4"
    outline
  >
    {{ message.text }}
  </v-alert>
</template>

<script>
import { mapGetters } from 'vuex';
import stepMessages from './messages';

export default {
  name: 'BossAngerMeter',
  data() {
    return {
      stepMessages,
    };
  },
  computed: {
    message() {
      const filteredMessages = this.stepMessages.filter(message => message.step === this.step);

      if (filteredMessages.length === 0) {
        return false;
      }

      return filteredMessages[0];
    },
    ...mapGetters('form', { step: 'getCurrentStep' }),
  },
};
</script>
